petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSSPSetNumStages

set the number of stages to use with the SSP method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPSetNumStages(TS ts,PetscInt nstages)

Logically Collective

### Input Arguments

ts - time stepping object nstages - number of stages

### Options Database Keys

-ts_ssp_type <rks2>: NumStages of SSP method (one of) rks2 rks3 rk104 -ts_ssp_nstages <5>: Number of stages

### See Also

TSSSP, TSSSPGetNumStages(), TSSSPSetNumStages(), TSSSPRKS2, TSSSPRKS3, TSSSPRK104

### Level

beginner

### Location

src/ts/impls/explicit/ssp/ssp.c

### Implementations

TSSSPSetNumStages_SSP in src/ts/impls/explicit/ssp/ssp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages